#include <string>
#include <iostream>

class Contact {
	private:
		std::string first_name;
		std::string last_name;
		std::string nickname;
		std::string phone_number;
	
	public:
		Contact(std::string first_name, std::string last_name, std::string nickname, std::string phone_number);
		Contact();
		~Contact();

		Contact &operator=(const Contact &contact);
		
		bool				isValid() const;
		std::string		to_string() const;
};

std::ostream& operator<<(std::ostream& os, const Contact& fixed);
